/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is tkishdemos.
 *
 * The Initial Developer of the Original Code is
 * M.D. Nauta.
 * Portions created by the Initial Developer are Copyright (C) 2004
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */


function showAbout() {
	var strings = document.getElementById('strings');
	alert(strings.getString('aboutString'));
}

function setStatus(evt) {
	if (evt.target.nodeName=="A") {
		evt.target.parentNode.setAttribute('active','true');
		var statusbar = document.getElementById('statusbar');
		var statusStr = document.getElementById('strings').getFormattedString(
			'statusString',[evt.target.getAttribute('statustext')]);
		statusbar.setAttribute('label',statusStr);
	}
}

function setVisitedAttribute(evt) {
	if (evt.target.nodeName=="A") {
		evt.target.parentNode.setAttribute('visited','true');
	}
}

function removeStatus(evt) {
	document.getElementById('statusbar').setAttribute('label','');
	if (evt.target.nodeName=="A") {
		evt.target.parentNode.removeAttribute('active');
	}
}

function closeChildWindows() {
	// Opening the windows with dependent=yes is too strong, so close them yourself.
	var theWindowWatcher = Components.classes["@mozilla.org/embedcomp/window-watcher;1"].getService();
	theWindowWatcher = theWindowWatcher.QueryInterface(Components.interfaces.nsIWindowWatcher);
	if (!theWindowWatcher) {
		alert("Can't create the window watcher and won't remove dependent windows.");
		return false;
	}
	var windows = theWindowWatcher.getWindowEnumerator();
	var browser = document.getElementById('theBrowser');
	while (windows.hasMoreElements()) {
		var aWindow = windows.getNext();
		aWindow = aWindow.QueryInterface(Components.interfaces.nsIDOMWindow);
		if (aWindow.opener == browser.contentWindow) {
			aWindow.close();
		}
	}
	return true;
}
